<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_17</title>
</head>
<body>
    <h1>Ejercicio 17</h1>
    <script>
    /*17) Programa una función que dada una fecha válida determine cuantos años 
    han pasado hasta el día de hoy, pe. miFuncion(new Date(1984,4,23)) devolverá 
    35 años (en 2020).*/

    const contarAnios = (fecha = undefined /*, mes = undefined, dia = undefined*/) => {

        if (fecha === undefined) return console.warn("No ingreso un año");
        if (!(fecha instanceof Date)) return console.error("La Fecha que ingreso no es valida");//Se añadio
        

        /*if (mes === undefined) return console.warn("No ingreso un mes");
        if (dia === undefined) return console.warn("No ingreso un dìa");
        if (typeof año !== "number") 
           return console.warn(`El valor ingresado: ${año} no es un numero`);
        if (typeof mes !== "number") 
           return console.warn(`El valor ingresado: ${mes} no es un numero`);
        if (typeof dia !== "number") 
           return console.warn(`El valor ingresado: ${dia} no es un numero`);*/

        let calcuFecha = new Date().getTime() - fecha.getTime(), //Se convierte en milisegundos
               aniosMS = 1000 * 60 * 60 *24 * 365, //1 año en milisegundos
             aniosHuma = Math.floor(calcuFecha / aniosMS); //Años ya pasaron pero en milisegundos

         return (Math.sign(aniosHuma) === -1)
            ? console.log(`Faltan ${Math.abs(aniosHuma)} años para el ${fecha.getFullYear()}`)
            : (Math.sign(aniosHuma) === 1)
               ? console.log(`Ya pasaron ${aniosHuma} años, desde ${fecha.getFullYear()}`)
               : console.log('Usted ingreso el año actual')             
    }

    contarAnios(new Date (1984,4,23));
    contarAnios(new Date (1996,5,25));
    contarAnios(new Date ());
    contarAnios(new Date (2036,4,23));
    contarAnios();



    </script>
    
</body>
</html>